curl --request POST \
--url https://api.mottostreaming.com/integration/spiideo/v1/player_type_mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"motto_entity_type": "<string>",
"position_field": "<string>",
"position_field_gk_values": [
"<string>"
]
}
'import requests
url = "https://api.mottostreaming.com/integration/spiideo/v1/player_type_mappings"
payload = {
"motto_entity_type": "<string>",
"position_field": "<string>",
"position_field_gk_values": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
motto_entity_type: '<string>',
position_field: '<string>',
position_field_gk_values: ['<string>']
})
};
fetch('https://api.mottostreaming.com/integration/spiideo/v1/player_type_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"player_type_mapping": {
"motto_entity_type": "<string>",
"position_field": "<string>",
"position_field_gk_values": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create player type mapping
Creates a new player type mapping.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
SpiideoPlayerTypeMapping maps a Motto entity type to Spiideo player properties.
The Motto entity type this mapping applies to.
Field name on the Motto entity type that maps to the position(s) of the player.
This has to be an entity reference OR a string. It may contain multiple values.
E.g. fields.positions.
The values that the position_field may resolve to that indicate that this player is a goalkeeper.
E.g. if fields.positions is a string field on the Motto entity type, this may be ["gk","goalkeeper"].
E.g. if fields.positions is an entity reference on the Motto entity type, this may be ["f843fladfj94alfda9"],
where the id is of an entity of some Motto entity type that represents player positions (with this one representing
the goalkeeper entity).
Response
OK
SpiideoPlayerTypeMapping maps a Motto entity type to Spiideo player properties.
Show child attributes
Show child attributes

